<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include dsm facebook events class
include_once "libs/php/dsm_facebook_events.php";

// initialize class
$dsm_facebook_events = new DsmFacebookEvents();

// read one event based on given event id
$event_id = !empty($_GET['id']) ? $_GET['id'] : die('ERROR: Event ID not found.');
$obj=$dsm_facebook_events->readOneEvent($event_id);

echo "<div style='width:100%;'>";

	// set timezone
	$timezone=isset($obj['timezone']) ? $obj['timezone'] : "America/Los_Angeles";
	date_default_timezone_set($timezone);

	$start_date = date( 'l, F d, Y', strtotime($obj['start_time']));

	// in my case, I had to subtract 9 hours to sync the time set in facebook
	$start_time = date('g:i a', strtotime($obj['start_time']));

	$host_id = isset($obj['owner']['id']) ? $obj['owner']['id'] : "";
	$host_name = isset($obj['owner']['name']) ? $obj['owner']['name'] : "";

	$pic_big = isset($obj['cover']['source'])
				? $obj['cover']['source']
				: "https://graph.facebook.com/v2.8/{$host_id}/picture/?type=large";
	$eid = isset($obj['id']) ? $obj['id'] : "";
	$name = isset($obj['name']) ? $obj['name'] : "";
	$description = isset($obj['description'])
					? htmlspecialchars_decode(str_replace("\n", "<br>", $obj['description']))
					: "Not available.";

	// count attending
	$attending_data=isset($obj['attending']['data']) ? $obj['attending']['data'] : "";
	$attending_count = empty($attending_data) ? 0 : count($attending_data);

	// place
	$place_name = isset($obj['place']['name']) ? $obj['place']['name'] : "";
	$city = isset($obj['place']['location']['city']) ? $obj['place']['location']['city'] : "";
	$country = isset($obj['place']['location']['country']) ? $obj['place']['location']['country'] : "";
	$zip = isset($obj['place']['location']['zip']) ? $obj['place']['location']['zip'] : "";

	$ticket_uri = isset($obj['ticket_uri']) ? $obj['ticket_uri'] : "";

	$location="";

	if($place_name){ $location.="{$place_name}"; }
	if($city){ $location.= $location ? ", {$city}" : "{$city}"; }
	if($country){ $location.= $location ? ", {$country}" : "{$country}"; }
	if($zip){ $location.= $location ? ", {$zip}" : "{$zip}"; }

	if(empty($location)){
		$location="<a href='https://www.facebook.com/events/{$eid}/' target='_blank'>View Location on Facebook</a>";
	}

	$complete_event_add="{$location}";

	echo "<div class='row' style='padding:0; margin:0;'>";
		echo "<div class='col-md-12' style='padding:0; margin:0;'>";
			echo "<img src='{$pic_big}' style='width:100%;'/>";
		echo "</div>";
	echo "</div>";

	echo "<div class='container' style='width:100%; margin:1em 0;'>";

		echo "<div class='row'>";
			echo "<div class='col-md-12'>";
				echo "<i class='fa fa-check-square'></i> ";
				echo "Hosted by <a href='https://fb.com/{$host_id}' target='_blank' target='_blank'>{$host_name}</a>";
			echo "</div>";
		echo "</div>";

		echo "<div class='row'>";
			echo "<div class='col-md-12'>";
				echo "<span class='glyphicon glyphicon-time'></span> {$start_date} at {$start_time}";
			echo "</div>";
		echo "</div>";

		echo "<div class='row'>";
			echo "<div class='col-md-12'>";
				echo "<span class='glyphicon glyphicon-map-marker'></span> {$complete_event_add}";
			echo "</div>";
		echo "</div>";

		$event_lati = !empty($obj['place']['location']['latitude'])
						? $obj['place']['location']['latitude'] : "";
		$event_longi = !empty($obj['place']['location']['longitude'])
						? $obj['place']['location']['longitude'] : "";

		if($event_lati && $event_longi){
			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<a href='https://maps.google.com/maps?q={$event_lati},{$event_longi}' target='_blank'>";
						echo "<img src='https://maps.google.com/maps/api/staticmap?center={$event_lati},{$event_longi}&zoom=14&size=600x300&maptype=roadmap&sensor=false&&markers=size:mid%7Ccolor:red%7C{$complete_event_add}&key=AIzaSyCbdX5mqMLAezMMmt_MYaYa5e9BPDCy0cs' style='width:100%;' />";
					echo "</a>";
				echo "</div>";
			echo "</div>";
		}

		if($ticket_uri){
			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<i class='fa fa-ticket'></i> ";
					echo "<a href='{$ticket_uri}' target='_blank' target='_blank'>Find Tickets</a>";
				echo "</div>";
			echo "</div>";
		}

		echo "<div class='row'>";
			echo "<div class='col-md-12'>";
				echo "<i class='fa fa-sticky-note'></i> {$description}";
			echo "</div>";
		echo "</div>";


		echo "<div class='row'>";
			echo "<div class='col-md-12'>";
				echo "<i class='fa fa-external-link-square'></i> <a href='https://www.facebook.com/events/{$eid}/' target='_blank'>";
					echo "View on Facebook";
				echo "</a>";
			echo "</div>";
		echo "</div>";
	echo "</div>"; // end .container
echo "</div>";

?>
